<?php

//On inclue les fichiers nécessaires
require_once './dao/bdd.php';
require_once './dao/dao.php';
require_once './metier/user.php';


if ($_POST["login"] == NULL)
    {
    //Pas de données passé en argument, on affiche le formulaire
    include_once './view/signup/formulaire.php';
    return;
    } else
    {
    $mail = $_POST["mail"];
    //Il y a des données, on les traite
    //Vérification du mail
    $good_mail = filter_var($mail, FILTER_VALIDATE_EMAIL);

    //Vérification du mot de passe
    $good_pwd = (($_POST["pwd1"] == $_POST["pwd2"]) && (!$_POST["pwd1"] == ""));

    //Vérification de l'existence d'un utilisateur ayant le même login
    $exist = user::exist($_POST["login"]);


    if (($good_mail) && ($good_pwd) && (!$exist) && ($_POST["nom"] != NULL) && ($_POST["prenom"] != NULL))
        {
        //Si tout est bon, on crée le user
        //On parse les données
        $login = $_POST["login"];
        $mdp = md5($_POST["pwd1"]);
        $nom = $_POST["nom"];
        $prenom = $_POST["prenom"];

        //Création d'un nouvel user
        $user = new user($login, $mdp, $nom, $prenom, $mail);

        //On enregistre l'utilisateur
        user::saveUser($user);


        $_SESSION["user"] = $user;

        include './view/signup/success.php';
        } else
        {
        //Si on a échoué, on trouve la bonne raison
        if ($exist)
            {
            //Le login existe déjà
            include './view/signup/login_exist.php';
            } else if (!$good_mail)
            {
            //L'email n'a pas la bonne forme
            include './view/signup/mail_error.php';
            } else if (!$good_pwd)
            {
            //Le mot de passe n'est pas identique
            include './view/signup/pwd_error.php';
            } else if (($_POST["nom"] == NULL) || ($_POST["prenom"] == NULL))
            {
            //Le nom ou prénom est vide
            include './view/signup/name_error.php';
            }
        }
    }
?>